diff --git a/src/lib/test-time-util.c b/src/lib/test-time-util.c
index 1fb95cc..412d71c 100644
--- a/src/lib/test-time-util.c
+++ b/src/lib/test-time-util.c
@@ -120,7 +120,9 @@ static void test_strftime_fixed(void)
 
 	time_t ts = 1481222536;
 	const char *exp = "Thu, 08 Dec 2016 18:42:16 +0000";
+	i_info("'%s'", t_strftime(RFC2822_FMT, gmtime(&ts)));
 	test_assert(strcmp(t_strftime(RFC2822_FMT, gmtime(&ts)), exp) == 0);
+	i_info("'%s'", t_strfgmtime(RFC2822_FMT, ts));
 	test_assert(strcmp(t_strfgmtime(RFC2822_FMT, ts), exp) == 0);
 
 	test_end();
